<?
if(isset($_GET['mygarden']) && isset($_GET['plug_all']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_sad` WHERE `id_user` = '$ku[id]' AND `id_tree` = '0' AND (`time` = '$time' OR `time` < '$time') AND `plug` = '0'"),0)!=0 && $ku['plug']>0)
{
$rat=1;
$rat_drakon_act=0;
$rat_sc_act=0;
$rat_lib_act=0;
$rat_vetriak_act=0;
if(isset($sc_act))$rat_sc_act=$rat*2;
$rat_cultivator_act=(($rat/100)*$cultivator_act);
if(isset($drakon_act))$rat_drakon_act=((2/100)*300);
if(isset($lib_act))$rat_lib_act=$rat*2;
if(isset($shmel_act))$rat_cultivator_act=$rat_cultivator_act*2;
if(isset($vetriak_act))$rat_vetriak_act=$rat*3;
$ratt=$rat_drakon_act+$rat_sc_act+$rat_cultivator_act+$rat_school_act+$rat_lib_act+$rat_vetriak_act;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp))$rat=$rat*2;
$orat=0;
$q=mysql_query("SELECT * FROM `kolhoz_sad` WHERE `id_user` = '$ku[id]' AND `id_tree` = '0' AND (`time` = '$time' OR `time` < '$time') AND `plug` = '0'");
while($post=mysql_fetch_array($q))
{
mysql_query("UPDATE `kolhoz_sad` SET `plug` = '1' WHERE `id` = '$post[id]' LIMIT 1");
mysql_query("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."' WHERE `id` = '$ku[id]'");
$orat=$rat+$orat;
}
$_SESSION['rating']=$orat;
update_mc($orat);
header("Location:?mygarden&".passgen());
exit;
}
?>